<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLocationReq StructType
 * @subpackage Structs
 */
class AddLocationReq extends APIRequest
{
    /**
     * The location
     * @var XLocation
     */
    public $location;
    /**
     * Constructor method for AddLocationReq
     * @uses AddLocationReq::setLocation()
     * @param XLocation $location
     */
    public function __construct(XLocation $location = null)
    {
        $this
            ->setLocation($location);
    }
    /**
     * Get location value
     * @return XLocation|null
     */
    public function getLocation()
    {
        return $this->location;
    }
    /**
     * Set location value
     * @param XLocation $location
     * @return AddLocationReq
     */
    public function setLocation(XLocation $location = null)
    {
        $this->location = $location;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLocationReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
